org.eclipse.net4j.db.ddl.delta

## Interface IDBDeltaWithProperties

- All Superinterfaces:
    Comparable<IDBDelta>, IContainer<IDBDelta>, IDBDelta, IDBElement, IDBNamedElement, INotifier
  All Known Subinterfaces:
    IDBDeltaWithPosition, IDBFieldDelta, IDBIndexDelta, IDBIndexFieldDelta

      public interface IDBDeltaWithProperties
      extends IDBDelta

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

      `IDBDelta.ChangeKind, IDBDelta.DeltaType`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> IDBPropertyDelta<T>` | `getPropertyDelta(String name)`
    `Map<String,IDBPropertyDelta<?>>` | `getPropertyDeltas()`
    `IDBPropertyDelta<?>[]` | `getPropertyDeltasSortedByName()`
    `<T> T` | `getPropertyValue(String name)`
    `<T> T` | `getPropertyValue(String name, boolean old)`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

      `accept, getChangeKind, getDeltaType, getParent, getSchemaElement`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getPropertyDelta

          <T> IDBPropertyDelta<T> getPropertyDelta(String name)

    - #### getPropertyValue

          <T> T getPropertyValue(String name)

    - #### getPropertyValue

          <T> T getPropertyValue(String name,
                                 boolean old)

    - #### getPropertyDeltas

          Map<String,IDBPropertyDelta<?>> getPropertyDeltas()

    - #### getPropertyDeltasSortedByName

          IDBPropertyDelta<?>[] getPropertyDeltasSortedByName()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html